From: "Maciej Mrozowski" <reavertm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/coin/, media-libs/coin/files/
Date: Sun, 6 May 2018 08:02:55 +0000 (UTC) [thread overview]
Message-ID: <1525593730.04543ee0267931b25ff408d04e3b9c9a99d5bb7d.reavertm@gentoo> (raw)
commit: 04543ee0267931b25ff408d04e3b9c9a99d5bb7d
Author: Maciej Mrozowski <reavertm <AT> gentoo <DOT> org>
AuthorDate: Sun May 6 07:57:54 2018 +0000
Commit: Maciej Mrozowski <reavertm <AT> gentoo <DOT> org>
CommitDate: Sun May 6 08:02:10 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=04543ee0
media-libs/coin: Version bump 4.0.0a (SCM snapshot)
media-libs/coin/Manifest | 1 +
media-libs/coin/coin-4.0.0a_pre20180416.ebuild | 84 ++++++++++++++++++++++++++
media-libs/coin/files/coin-4.0.0a-gcc-7.patch | 21 +++++++
media-libs/coin/metadata.xml | 1 +
4 files changed, 107 insertions(+)
diff --git a/media-libs/coin/Manifest b/media-libs/coin/Manifest
index cc20a719a7d..3b1f98ce483 100644
--- a/media-libs/coin/Manifest
+++ b/media-libs/coin/Manifest
@@ -1 +1,2 @@
DIST Coin-3.1.3.tar.gz 5981534 BLAKE2B 33f88149cf0bf7daeb32226e2deb29f9f36f2a29ca9fcf025f39bb50d3eb0bfc85113a1e96cf980c97d037419c3a263bcf6eccaeb2f289517304c59d4c9de919 SHA512 d6fd47ecc74e96fc4de46e3a683f038f1907b96db2bbe935fb49f2d59190bd18f3f439dc0e4cb435360e74e1d65994a32b21f670d5a76394692616625cb14394
+DIST Coin3D-coin-8d1ca1a6ea23.tar.bz2 4925310 BLAKE2B 3c9aab5e68b79db4878e5d27773537acb7d658580a8deea059565dfa78ee791cb7ee23f159e077408c3307e2647e628357daaa4f2f5a4fc4a125c8d1663ee718 SHA512 f0c4d39a89b1dc3e183c2c8cffad6be30f9d27e50b3735c1b261addc55376aceb8f81c916fbdfeb42b852071692febaf6e3839373095bcf2b7046c773fcc809c
diff --git a/media-libs/coin/coin-4.0.0a_pre20180416.ebuild b/media-libs/coin/coin-4.0.0a_pre20180416.ebuild
new file mode 100644
index 00000000000..da490ba09d2
--- /dev/null
+++ b/media-libs/coin/coin-4.0.0a_pre20180416.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils flag-o-matic
+
+MY_P=Coin3D-coin-8d1ca1a6ea23
+
+DESCRIPTION="A high-level 3D graphics toolkit, fully compatible with SGI Open Inventor 2.1"
+HOMEPAGE="https://bitbucket.org/Coin3D/coin/wiki/Home"
+SRC_URI="https://dev.gentoo.org/~reavertm/${MY_P}.tar.bz2"
+
+LICENSE="|| ( GPL-2 PEL )"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+SLOT="0"
+IUSE="debug doc javascript openal qthelp simage test threads"
+
+RDEPEND="
+ app-arch/bzip2
+ dev-libs/expat
+ media-libs/fontconfig
+ media-libs/freetype:2
+ sys-libs/zlib
+ virtual/opengl
+ virtual/glu
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXext
+ javascript? ( dev-lang/spidermonkey:0 )
+ openal? ( media-libs/openal )
+ simage? ( media-libs/simage )
+"
+DEPEND="${RDEPEND}
+ x11-proto/xextproto
+ doc? (
+ app-doc/doxygen
+ qthelp? ( dev-qt/qthelp:5 )
+ )
+"
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-4.0.0a-gcc-7.patch
+)
+
+DOCS=(
+ AUTHORS FAQ FAQ.legal NEWS README RELNOTES THANKS docs/HACKING
+)
+
+src_configure() {
+ use debug && append-cppflags -DCOIN_DEBUG=1
+
+ local mycmakeargs=(
+ -DCMAKE_INSTALL_DOCDIR="${EPREFIX}/usr/share/doc/${PF}"
+ -DCOIN_BUILD_DOCUMENTATION=$(usex doc)
+ -DCOIN_BUILD_SHARED_LIBS=ON
+ -DCOIN_BUILD_SINGLE_LIB=ON
+ -DCOIN_BUILD_TESTS=$(usex test)
+ -DCOIN_HAVE_JAVASCRIPT=$(usex javascript)
+ -DCOIN_MULTIPLE_VERSION=OFF
+ -DCOIN_QT_HELP=$(usex doc)
+ -DCOIN_THREADSAFE=$(usex threads)
+ -DCOIN_VERBOSE=$(usex debug)
+ -DHAVE_3DS_IMPORT_CAPABILITIES=ON
+ -DHAVE_DRAGGERS=ON
+ -DHAVE_MAN=OFF
+ -DHAVE_MANIPULATORS=ON
+ -DHAVE_NODEKITS=ON
+ -DHAVE_SOUND=$(usex openal)
+ -DHAVE_VRML97=ON
+ -DSIMAGE_RUNTIME_LINKING=OFF
+ -DUSE_EXTERNAL_EXPAT=ON
+ )
+
+ cmake-utils_src_configure
+}
+
+src_test() {
+ pushd "${BUILD_DIR}/testsuite" > /dev/null || die
+ ./CoinTests || die "Tests failed."
+ popd > /dev/null || die
+}
diff --git a/media-libs/coin/files/coin-4.0.0a-gcc-7.patch b/media-libs/coin/files/coin-4.0.0a-gcc-7.patch
new file mode 100644
index 00000000000..89829b59b27
--- /dev/null
+++ b/media-libs/coin/files/coin-4.0.0a-gcc-7.patch
@@ -0,0 +1,21 @@
+diff -ruN Coin3D-coin-8d1ca1a6ea23/src/3ds/SoStream.cpp my/src/3ds/SoStream.cpp
+--- Coin3D-coin-8d1ca1a6ea23/src/3ds/SoStream.cpp 2018-04-16 23:14:36.000000000 +0200
++++ my/src/3ds/SoStream.cpp 2018-05-06 06:56:42.104728484 +0200
+@@ -185,7 +185,7 @@
+ if (!gotNum) { setBadBit(); return FALSE; } \
+ \
+ char *ce; \
+- *s = '\0'; \
++ *s = NULL; \
+ _convertType_ tempVal = _convertFunc_(buf, &ce, 0); \
+ \
+ if (ce != s) \
+@@ -282,7 +282,7 @@
+ gotAll: \
+ \
+ char *ce; \
+- *s = '\0'; \
++ *s = NULL; \
+ double tempVal = _convertFunc_(buf, &ce); \
+ \
+ if (ce != s) \
diff --git a/media-libs/coin/metadata.xml b/media-libs/coin/metadata.xml
index b9eaa9f2655..aa4affdefe9 100644
--- a/media-libs/coin/metadata.xml
+++ b/media-libs/coin/metadata.xml
@@ -5,6 +5,7 @@
<email>reavertm@gentoo.org</email>
</maintainer>
<use>
+ <flag name="qthelp">Build API documentation in QtHelp format</flag>
<flag name="simage">Texture loading via <pkg>media-libs/simage</pkg> library</flag>
</use>
<upstream>
next reply other threads:[~2018-05-06 8:02 UTC|newest]
Thread overview: 7+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-05-06 8:02 Maciej Mrozowski [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-18 0:15 [gentoo-commits] repo/gentoo:master commit in: media-libs/coin/, media-libs/coin/files/ Andreas Sturmlechner
2024-10-21 14:42 Andreas Sturmlechner
2024-03-25 12:38 Andreas Sturmlechner
2022-10-17 19:11 Maciej Mrozowski
2020-10-14 0:37 Maciej Mrozowski
2017-07-23 13:09 Alexey Shvetsov
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1525593730.04543ee0267931b25ff408d04e3b9c9a99d5bb7d.reavertm@gentoo \
--to=reavertm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox